Page MenuHomePhabricator

[GOAL]: Develop a mechanism for quick surveys on desktop + mobile
Closed, ResolvedPublic

Description

Why

In order to gather feedback from users to inform Reading's strategy we want to have a mechanism to poll a % of users on mobile and desktop about various matters.

How

Such polls will appear in-article (after lead section or infobox) to ask the users.

There are two types of surveys:

  1. Banner with link to external poll.
  2. Banner with question and answers.

Objectives

  • Develop a banner with a link to an external poll that we'll be able to activate with config variables.
  • Develop a banner with Q+Answers that we'll be able to activate with config and that will log to Analytics-EventLogging
  • Polls can be configured needing minimal development effort.
  • Polls can be bucketed to a % of users.
  • Polls can be bucketed to specific actions/events like saving an edit or cancelling an edit, to allow T89970.
  • Polls can be shown in the mobile and/or desktop site depending on configuration.
  • Polls can be time boxed to a period of time via configuration.

Documentation

https://www.mediawiki.org/wiki/Extension:QuickSurveys
https://www.mediawiki.org/wiki/Extension:QuickSurveys/Documentation (For screenshots)

Related Objects

StatusAssignedTask
OpenNone
ResolvedJhernandez
ResolvedQgil
DeclinedNone
Resolved rmoen
Resolved rmoen
Resolvedbmansurov
Resolved rmoen
DuplicateNone
Resolvedbmansurov
ResolvedJdlrobson
ResolvedJdlrobson
DeclinedJdlrobson
Invalidbmansurov
Resolvedbmansurov
ResolvedJdlrobson
Resolvedori
Resolved rmoen
Resolvedphuedx
Resolvedbmansurov
Resolvedbmansurov
ResolvedJdlrobson
Resolvedbmansurov
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedAklapper
DuplicateNone
Resolved rmoen
ResolvedJdlrobson
ResolvedJdlrobson
DeclinedNone
DuplicateNone
ResolvedJdlrobson
Resolvedbmansurov
Resolvedphuedx
ResolvedJdlrobson
Resolvedbmansurov
ResolvedJdlrobson
Resolvedphuedx
ResolvedJdlrobson
Resolvedbmansurov
Resolvedphuedx
Resolved rmoen

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jhernandez raised the priority of this task from to Normal.
Jhernandez added a subscriber: Jhernandez.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2015, 10:36 AM

Just checking that you are in sync with @aripstra, who I believe has spent some time investigating this topic.

Thanks @Qgil. I'm not.

Is there anything specific that already does this @aripstra?

Task description has info about the requirements of what we've been asked to do.

Jhernandez updated the task description. (Show Details)Jul 9 2015, 4:37 PM

@aripstra: Could you answer @Jhernandez' question please?

Hi @Jhernandez we should discuss. We have done in context suveys for search and for hover cards using qualtrics (third party survey tool). There are several design principles to keep in mind, and I am happy to discuss in detail.

  1. Survey needs to be structured and very short.
  2. Survey link (usually a microphone icon linked to survey url) needs to be carefully located to not disrupt normal workflows, and at the same time be findable by people who have feedback to supply.
  3. Analysis takes some time, so consider that in your planning.

I have several examples of the survey we have used and would be happy to provide a modified survey for readership. It would probably be best to have a meeting to discuss.

Also, there are other non third party possibilities for collecting feedback, but they take more human labor on the data gathering, structuring and analysis end as well as up front engineering to implement. I would LOVE it if someone could provide the engineering support to define an on wiki solution for gathering feedback that did not take as much human labor to make the data structured and manageable. Haven't found a team with bandwidth for this quite yet. We have precursors that could be re used, for example: article feedback tool, mood bar and guided tours infrastructures.

I am happy to meet with you and discuss in detail.

Hey @aripstra,

We're not focusing on concrete survey questions or structure, basically we're going to create infrastructure to enable people wanting to survey readers, as it says on the description:

Such polls will appear in-article (after lead section or infobox) to ask the users.
There are two types of surveys:
Banner with link to external poll.
Banner with question and answers.

  1. Banner with link to external poll.

This will be a little notice with a message, a link to an external survey, and a link to a privacy policy.

  1. Banner with question and answers.

This will be a small banner like wikigrok's banner (example https://i.imgur.com/rw79nLs.png) with a question and 2 or three option answers. For simple questions with simple answers.


Both types of surveys will be configurable via extension configuration, so that enabling / disabling them requires minimal technical intervention (still a technical operation though).


Is it clear? Do you want to meet to discuss? cc/ @dr0ptp4kt

Jhernandez renamed this task from Develop a mechanism for quick surveys on desktop + mobile to [GOAL]: Develop a mechanism for quick surveys on desktop + mobile.Jul 31 2015, 4:21 PM
Jhernandez moved this task from Q1 Goals to Sprint 53: 12 Monkeys on the Reading-Web-Planning board.
atgo added a subscriber: atgo.Aug 4 2015, 10:16 PM

Hey there! @Tbayer called my attention to this - just offering to help see if CentralNotice might be a good fit for banners on this... let me know if you've thought about this or are looking for something. Happy to chat!

I also left some comments earlier at T107586#1507673 - I think it would at least be useful to spell out clearly the needs that (an extended version of) CentralNotice would not satisfy, to document why we build a new thing.

I see that at T107581 there was already some discussion comparing it with SecurePoll.

This makes sense @Pcoombe - would CentralNotice benefit from having inline banners?
It should be noted "CentralNotice is the Mediawiki extension that delivers announcements (usually in the form of banners) to WMF wikis" and that what we are doing here is not an announcement - it is a call to action / interactive element [1]. Technically however I am sure they will share similar problems and on long term might make sense.

As an FYI I don't think this blocks are our existing efforts, we could always combine the two extensions later. I'd hate to put something experimental in such an important part of our infrastructure.

Thanks for the feedback @Tbayer @atgo

[1] https://www.mediawiki.org/wiki/Extension:CentralNotice

@Tbayer Answered there T107586#1507673, let's continue here if you want.

@atgo ^ some background conversation.

As @Jdlrobson says, we're going to continue with this since it is fairly low level as scoped right now and it should be easy later to merge into CN if it made sense.

I guess the biggest question would be if interactive elements make sense in there, but for the rest of the features it really looks like they should be in CN the more I think about it.

Should we set up a meeting?

@Jdlrobson We have experimented a little with injecting CentralNotice banners inline e.g. https://en.wikipedia.org/wiki/Arc_de_Triomphe?banner=B1516_dsk_inart_blue&force=1&country=NL

However CentralNotice doesn't have any ability to link banners to specific actions/events. Given how complicated the extension currently is, and how dependent we are on it, I'd be very wary of adding even more functionality.

Developing as a separate project sounds like the best plan to me.

egalvezwmf moved this task from Backlog to Survey Tools on the Surveys board.Aug 27 2015, 3:06 PM
egalvezwmf added a comment.EditedAug 28 2015, 7:17 PM

Curious about any design principles going into button design and colors. Applying visual cues to buttons will create bias in results. For certain questions, like (yes/no/unsure) should probably be all in the same color. (For example, that red looks pretty to me, so I will click the red over the green). Other questions, like inviting users to take survey, could include visual cues to help increase response rates.

@egalvezwmf I should clarify the design is outdated and yes all buttons in existing mock look same. See:

Curious about any design principles going into button design and colors. Applying visual cues to buttons will create bias in results. For certain questions, like (yes/no/unsure) should probably be all in the same color. (For example, that red looks pretty to me, so I will click the red over the green). Other questions, like inviting users to take survey, could include visual cues to help increase response rates.

Great point. The same issue was already brought up at https://phabricator.wikimedia.org/T107592#1505248 (see also the study I cited there), so the team is aware of it - and in any case the design of the buttons is not hard-coded as far as I'm aware.

That said, it would be good to have more people with experience in survey design and analysis providing feedback here; I assume the team would valuable your feedback on other aspects as well.

Thanks @Tbayer and @Jdlrobson. I wasn't following all the tickets (its a bit difficult) and I did not see the updated screenshots here: https://www.mediawiki.org/wiki/Extension:QuickSurveys/Documentation. Were survey researchers/statisticians invited already to feedback on design? Or is this forthcoming in future iterations?

Pcoombe removed a subscriber: Pcoombe.Sep 2 2015, 4:48 PM
Qgil removed a subscriber: Qgil.Sep 3 2015, 8:59 PM

Dropped dependency to parsed messages. Seems like we have this covered.

Jdlrobson closed this task as Resolved.Oct 9 2015, 7:33 PM

This goal is done. We have provided everything asked of it.
I've setup a new goal T111445 for running our first survey to better reflect the current goal.